import "../../components/button/Button";
import "../../components/editable-textfield/EditableTextfield";
import { LitElement, nothing } from "lit";
export declare class EditableFieldTemplateSandbox extends LitElement {
    isModalOpen: boolean;
    isDialogOpen: boolean;
    error: boolean;
    textChanged: string;
    connectedCallback(): void;
    disconnectedCallback(): void;
    setErrorMessage: () => void;
    resetErrorMessage: () => void;
    renderErrorMessage(): import("lit-html").TemplateResult<1> | typeof nothing;
    render(): import("lit-html").TemplateResult<1>;
}
export declare const editableField: import("lit-html").TemplateResult<1>;
